Get Company Analyst Insight
curl --request GET \
--url https://api.rangler.co/v1/companies/{company_id}/analyst-insight \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.rangler.co/v1/companies/{company_id}/analyst-insight"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.rangler.co/v1/companies/{company_id}/analyst-insight', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ticker": "<string>",
"as_of": "2023-12-25",
"max_age_days": 123,
"min_confidence": 123,
"ratings": {
"buy_count": 123,
"hold_count": 123,
"sell_count": 123,
"unrated_count": 123,
"rated_count": 123,
"provider_count": 123,
"action_counts": {},
"buy_pct": 123,
"hold_pct": 123,
"sell_pct": 123
},
"price_targets": {
"target_count": 123,
"currency": "<string>",
"low": 123,
"mean": 123,
"median": 123,
"high": 123,
"last_updated_at": "2023-11-07T05:31:56Z",
"current_price": 123,
"current_price_currency": "<string>",
"current_price_as_of": "2023-11-07T05:31:56Z",
"implied_upside_low_pct": 123,
"implied_upside_mean_pct": 123,
"implied_upside_median_pct": 123,
"implied_upside_high_pct": 123,
"currency_mismatch_count": 0,
"unknown_currency_count": 0,
"excluded_outlier_count": 0
},
"recommendations": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider_key": "<string>",
"provider_display_name": "<string>",
"ticker": "<string>",
"raw_recommendation": "<string>",
"recommendation": "<string>",
"period_start": "2023-12-25",
"period_end": "2023-12-25",
"research_report_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_actionable": true,
"company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sector": "<string>",
"company_name": "<string>",
"target_price": 123,
"currency": "<string>",
"upside_pct": 123,
"sentiment_score": 123,
"source_title": "<string>",
"source_url": "<string>",
"source_excerpt": "<string>",
"confidence": 123,
"published_at": "2023-11-07T05:31:56Z"
}
],
"recent_rating_changes": [
{
"provider_key": "<string>",
"provider_display_name": "<string>",
"direction": "upgrade",
"previous_recommendation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"previous_recommendation": "<string>",
"recommendation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recommendation": "<string>",
"changed_at": "2023-11-07T05:31:56Z",
"previous_target_price": 123,
"target_price": 123,
"currency": "<string>"
}
],
"latest_period_end": "2023-12-25",
"latest_published_at": "2023-11-07T05:31:56Z",
"consensus_score": 123,
"consensus_recommendation": "<string>"
}{
"error": {
"type": "unauthorized",
"code": "unauthorized",
"message": "Authentication required.",
"request_id": "28fa6152-7081-492e-8a7e-00beb237b689"
}
}{
"error": {
"type": "forbidden",
"code": "forbidden",
"message": "Paid access is required.",
"request_id": "5c253b3e-778e-4a58-aaf8-07cb21e03563"
}
}{
"error": {
"type": "not_found",
"code": "not_found",
"message": "Company not found",
"request_id": "9f5237bc-7d8c-4a9d-9c1f-fbd4ef236cf9"
}
}{
"error": {
"type": "validation_error",
"code": "validation_error",
"message": "Request validation failed",
"request_id": "c5964dca-d290-4465-a3dc-f92d42aa9b17",
"details": [
{
"type": "missing",
"loc": [
"query",
"ticker"
],
"msg": "Field required",
"input": null
}
]
}
}{
"error": {
"type": "rate_limit_exceeded",
"code": "rate_limit_exceeded",
"message": "Rate limit exceeded",
"request_id": "cc4d369a-2c69-4ee2-909e-985ea35d14a9"
}
}{
"error": {
"type": "internal_server_error",
"code": "internal_server_error",
"message": "Internal Server Error",
"request_id": "70b63aba-b8a3-41c2-bb0c-fbe67d84d37d"
}
}Analyst recommendations
Get Company Analyst Insight
Current ratings, comparable targets, market upside, and recent rating changes.
Requires paid access.
GET
/
v1
/
companies
/
{company_id}
/
analyst-insight
Get Company Analyst Insight
curl --request GET \
--url https://api.rangler.co/v1/companies/{company_id}/analyst-insight \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.rangler.co/v1/companies/{company_id}/analyst-insight"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.rangler.co/v1/companies/{company_id}/analyst-insight', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ticker": "<string>",
"as_of": "2023-12-25",
"max_age_days": 123,
"min_confidence": 123,
"ratings": {
"buy_count": 123,
"hold_count": 123,
"sell_count": 123,
"unrated_count": 123,
"rated_count": 123,
"provider_count": 123,
"action_counts": {},
"buy_pct": 123,
"hold_pct": 123,
"sell_pct": 123
},
"price_targets": {
"target_count": 123,
"currency": "<string>",
"low": 123,
"mean": 123,
"median": 123,
"high": 123,
"last_updated_at": "2023-11-07T05:31:56Z",
"current_price": 123,
"current_price_currency": "<string>",
"current_price_as_of": "2023-11-07T05:31:56Z",
"implied_upside_low_pct": 123,
"implied_upside_mean_pct": 123,
"implied_upside_median_pct": 123,
"implied_upside_high_pct": 123,
"currency_mismatch_count": 0,
"unknown_currency_count": 0,
"excluded_outlier_count": 0
},
"recommendations": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider_key": "<string>",
"provider_display_name": "<string>",
"ticker": "<string>",
"raw_recommendation": "<string>",
"recommendation": "<string>",
"period_start": "2023-12-25",
"period_end": "2023-12-25",
"research_report_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_actionable": true,
"company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sector": "<string>",
"company_name": "<string>",
"target_price": 123,
"currency": "<string>",
"upside_pct": 123,
"sentiment_score": 123,
"source_title": "<string>",
"source_url": "<string>",
"source_excerpt": "<string>",
"confidence": 123,
"published_at": "2023-11-07T05:31:56Z"
}
],
"recent_rating_changes": [
{
"provider_key": "<string>",
"provider_display_name": "<string>",
"direction": "upgrade",
"previous_recommendation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"previous_recommendation": "<string>",
"recommendation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recommendation": "<string>",
"changed_at": "2023-11-07T05:31:56Z",
"previous_target_price": 123,
"target_price": 123,
"currency": "<string>"
}
],
"latest_period_end": "2023-12-25",
"latest_published_at": "2023-11-07T05:31:56Z",
"consensus_score": 123,
"consensus_recommendation": "<string>"
}{
"error": {
"type": "unauthorized",
"code": "unauthorized",
"message": "Authentication required.",
"request_id": "28fa6152-7081-492e-8a7e-00beb237b689"
}
}{
"error": {
"type": "forbidden",
"code": "forbidden",
"message": "Paid access is required.",
"request_id": "5c253b3e-778e-4a58-aaf8-07cb21e03563"
}
}{
"error": {
"type": "not_found",
"code": "not_found",
"message": "Company not found",
"request_id": "9f5237bc-7d8c-4a9d-9c1f-fbd4ef236cf9"
}
}{
"error": {
"type": "validation_error",
"code": "validation_error",
"message": "Request validation failed",
"request_id": "c5964dca-d290-4465-a3dc-f92d42aa9b17",
"details": [
{
"type": "missing",
"loc": [
"query",
"ticker"
],
"msg": "Field required",
"input": null
}
]
}
}{
"error": {
"type": "rate_limit_exceeded",
"code": "rate_limit_exceeded",
"message": "Rate limit exceeded",
"request_id": "cc4d369a-2c69-4ee2-909e-985ea35d14a9"
}
}{
"error": {
"type": "internal_server_error",
"code": "internal_server_error",
"message": "Internal Server Error",
"request_id": "70b63aba-b8a3-41c2-bb0c-fbe67d84d37d"
}
}Authorizations
Path Parameters
Query Parameters
Required range:
1 <= x <= 1095Required range:
0 <= x <= 1Required range:
1 <= x <= 3650Required range:
0 <= x <= 100Response
Successful Response
Current provider ratings collapsed into the three client-facing buckets.
Show child attributes
Show child attributes
Comparable target prices from each provider's latest recommendation.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Average of the latest eligible firm scores on the 1-5 consensus scale.
Backend-derived strong_buy, buy, hold, sell, or strong_sell consensus label.